Gecode::TraceTraits< Int::IntView > Class Reference

Trace traits for integer views. More...

`#include <traits.hpp>`

## Public Types

typedef Int::IntTraceView | TraceView
typedef IntTraceDelta | TraceDelta
typedef unsigned long long int | SlackValue

## Detailed Description

Trace traits for integer views.

Definition at line 38 of file traits.hpp.

## Member Typedef Documentation

## TraceView

typedef Int::IntTraceView Gecode::TraceTraits< Int::IntView >::TraceView

Definition at line 40 of file traits.hpp.

## TraceDelta

typedef IntTraceDelta Gecode::TraceTraits< Int::IntView >::TraceDelta

Definition at line 41 of file traits.hpp.

## SlackValue

typedef unsigned long long int Gecode::TraceTraits< Int::IntView >::SlackValue

Definition at line 42 of file traits.hpp.

The documentation for this class was generated from the following file:

- gecode/int/trace/traits.hpp